Bug 1294792 - mozilla-https-everywhere 'tools' submenu unavalible
mozilla-https-everywhere 'tools' submenu unavalible
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mozilla-https-everywhere (Show other bugs)
24
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-30 05:56 EST by wintonian
Modified: 2016-11-26 10:36 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-25 23:39:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wintonian 2015-12-30 05:56:04 EST
Description of problem:

I realise there is a somewhat bigger fish in for frying ATM, but I just noticed that moving to the "HTTPS Everywhere" menu item the submenu doesn't appear for me.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Go to 'tools'
2.move down until the 'HTTPS Everywhere' entry is highlighted
3.Nothing happens, i.e. no menu appears

Actual results:

Nothing happens, i.e. no menu appears


Expected results:

The HTTPS Everywhere submenu to pop out and allow user interaction

Additional info:

Firefox 43.0

Installd package ver. 5.1.1-1.fc23
Comment 1 Russell Golden 2016-01-01 13:05:56 EST
Believe it or not, known issue to me. For some reason, the interface just doesn't work on Fedora or RHEL/CentOS. The extension itself works, but not the interface.

I posted on the mailing list about it when I first noticed, and never got a response.

Now I'm going to do what I probably should have done in the first place and file a ticket on their bug reporting system.

Thanks for reminding me about this.
Comment 2 Dominik 'Rathann' Mierzejewski 2016-11-21 07:58:57 EST
Seems to work on F25 with latest version. Please test the F23 build: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1f3ae23d36
Comment 3 wintonian 2016-11-21 19:53:15 EST
In FC24 with FF50 that would be a no, having just instaled ver. 5.2.7-2 direct from Koji.

I  might try FC23 in a live enviroment later but obviously I'm not hopeful.
Comment 4 Dominik 'Rathann' Mierzejewski 2016-11-23 07:44:18 EST
Sorry, do you mean that it doesn't work for you (i.e. the bug is still present) on F24 with FF50?
Comment 5 wintonian 2016-11-23 07:53:38 EST
Apologies.

yes it is still broken in FC24 using FF50 at this end.
Comment 6 wintonian 2016-11-23 07:56:57 EST
Change affected ver. to F24 seen as that's what were discussing now and F23 is nearly EOL.
Comment 7 Dominik 'Rathann' Mierzejewski 2016-11-25 17:03:56 EST
I have just found a machine with F23 installed and I can confirm that with:

firefox-50.0-1.fc23.x86_64
mozilla-https-everywhere-5.2.7-2.fc23.noarch

I don't see this bug. I'll test on F24 tomorrow.
Comment 8 wintonian 2016-11-25 23:09:17 EST
Well I have popped the live dvd into virtualbox and it works in F24 (FF is ver. 47)

I have also removed all other add-ons on the physical machine and it still doesn't appear.

:confused
Comment 9 wintonian 2016-11-25 23:39:41 EST
Having now 'refreshed' Firefox it now works, so I'm going to close this.

I'm sure someone will reopen if this still is an issue.

Thanks for looking into it.
Comment 10 Dominik 'Rathann' Mierzejewski 2016-11-26 10:36:27 EST
Great, thanks a lot for taking the time to test!

Note You need to log in before you can comment on or make changes to this bug.